> ## Documentation Index
> Fetch the complete documentation index at: https://docs.allyy.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get workflows



## OpenAPI

````yaml get /api/workflow/v1.0/customer/{customerId}/Workflow
openapi: 3.0.1
info:
  title: Workflow Api v1.0
  version: v1.0
servers: []
security: []
paths:
  /api/workflow/v1.0/customer/{customerId}/Workflow:
    get:
      tags:
        - Workflow
      parameters:
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: search
          in: query
          schema:
            type: string
        - name: dataSetId
          in: query
          schema:
            type: array
            items:
              type: string
              format: uuid
        - name: isEnabled
          in: query
          schema:
            type: boolean
        - name: createdLess
          in: query
          schema:
            type: string
            format: date-time
        - name: createdGreater
          in: query
          schema:
            type: string
            format: date-time
        - name: orderBy
          in: query
          schema:
            type: string
        - name: orderByDesc
          in: query
          schema:
            type: boolean
        - name: take
          in: query
          schema:
            type: integer
            format: int32
        - name: skip
          in: query
          schema:
            type: integer
            format: int32
        - name: version
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/WorkflowWithLastExecutionMultipleResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/WorkflowWithLastExecutionMultipleResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/WorkflowWithLastExecutionMultipleResponse'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
      security:
        - oauth2:
            - oneprediction_api
components:
  schemas:
    WorkflowWithLastExecutionMultipleResponse:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/Metadata'
        data:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowWithLastExecution'
          nullable: true
        totalItemsCount:
          type: integer
          format: int32
      additionalProperties: false
    Metadata:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/Error'
          nullable: true
        validation:
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
          nullable: true
        info:
          type: object
          additionalProperties:
            nullable: true
          nullable: true
      additionalProperties: false
    WorkflowWithLastExecution:
      type: object
      properties:
        id:
          type: string
          format: uuid
        dataSetId:
          type: string
          format: uuid
        customerId:
          type: string
          format: uuid
        dataSet:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        tasks:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowTask'
          nullable: true
        tasksHierarchy:
          type: array
          items:
            $ref: '#/components/schemas/WorkflowTaskRelationship'
          nullable: true
        isEnabled:
          type: boolean
        lastWorkflowExecution:
          $ref: '#/components/schemas/LastWorkflowExecution'
      additionalProperties: false
    Error:
      type: object
      properties:
        code:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    ValidationError:
      type: object
      properties:
        property:
          type: string
          nullable: true
        message:
          type: string
          nullable: true
      additionalProperties: false
    WorkflowTask:
      type: object
      properties:
        id:
          type: string
          format: uuid
        subjectId:
          type: string
          format: uuid
          nullable: true
        name:
          type: string
          nullable: true
        parameters:
          type: object
          additionalProperties: {}
          nullable: true
        type:
          $ref: '#/components/schemas/WorkflowTaskType'
        isTrigger:
          type: boolean
      additionalProperties: false
    WorkflowTaskRelationship:
      type: object
      properties:
        parent:
          type: string
          format: uuid
        child:
          type: string
          format: uuid
      additionalProperties: false
    LastWorkflowExecution:
      type: object
      properties:
        workflowExecutionId:
          type: string
          format: uuid
        status:
          $ref: '#/components/schemas/WorkflowExecutionStatus'
        created:
          type: string
          format: date-time
        finished:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    WorkflowTaskType:
      enum:
        - 1
        - 2
        - 3
        - 4
        - 8
        - 9
        - 10
      type: integer
      format: int32
    WorkflowExecutionStatus:
      enum:
        - 1
        - 10
        - 20
        - 30
      type: integer
      format: int32
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://app.allyy.io/api/authentication/connect/authorize
          scopes:
            allyy_api: Allyy API - full access

````